Splunk IT Service Intelligence

Upgrading ITSI to 4.4.4 with MLTK at Python2 to 3

BenzSann
Splunk Employee
Splunk Employee

I want to upgrade ITSI from 4.2.1 to 4.4.4 on Splunk core 7.2.9.1.

Regarding compatibility matrix,  https://docs.splunk.com/Documentation/VersionCompatibility/current/Matrix/CompatMatrix.    I would upgrade ITSI first and then core to 8.0.4.

 

The question is whether we have to have ITSI and MLTK at Python 2 prior to core upgrade to avoid incompatibility, or do we accept the incompatibility when we upgrade ITSI 4.4.4 and MLTK 5.x, knowing it should be compatible once the Splunk core upgrade is completed?   Further information about MLTK on ITSI .  https://docs.splunk.com/Documentation/ITSI/4.4.4/Install/Compatibility

Screenshot 2020-07-02 at 3.50.24 PM.png

 

Labels (1)
0 Karma

esnyder_splunk
Splunk Employee
Splunk Employee

Hi, here are the steps to upgrading to Python 3 in all different scenarios. It includes when to upgrade ITSI, Splunk Enterprise, and the MLTK: https://docs.splunk.com/Documentation/ITSI/4.4.4/Install/Python3

0 Karma
Get Updates on the Splunk Community!

Splunk Training for All: Meet Aspiring Cybersecurity Analyst, Marc Alicea

Splunk Education believes in the value of training and certification in today’s rapidly-changing data-driven ...

Investigate Security and Threat Detection with VirusTotal and Splunk Integration

As security threats and their complexities surge, security analysts deal with increased challenges and ...

Observability Highlights | January 2023 Newsletter

 January 2023New Product Releases Splunk Network Explorer for Infrastructure MonitoringSplunk unveils Network ...